Bug 178864 - RFE: provide a means to reset priorities without affecting enabled/disabled status
RFE: provide a means to reset priorities without affecting enabled/disabled s...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 17:30 EST by Nalin Dahyabhai
Modified: 2014-03-16 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 22:42:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-01-24 17:30:54 EST
Description of problem:
When we adjust the startup priorities of init scripts in a package upgrade, we
don't have a simple way to adjust startup priorities for systems which have an
older version of the package installed.  Something like the "reset", but for
priorities, would be handy to have in %postun triggers.

Version-Release number of selected component (if applicable):
1.3.25-1.1

How reproducible:
Always

Steps to Reproduce:
1. Install FC4.
2. Upgrade to Raw Hide.
3. Observe that the messagebus init script dictates that it starts with priority
22, when your system actually still gives it its initial priority of 97.
  
Actual results:
You have to futz with the links by hand.  If you turned the service off,
"chkconfig reset" turns it back on (while, apparently, readjusting the priorities).

Expected results:
The startup and shutdown priorities are adjusted automatically, as if by [uses
jazz hands] MAGIC!

Additional info:
Having it work requires additional work in the packages which changes
priorities, but a change to chkconfig would make this much easier.
Comment 1 Bill Nottingham 2006-02-02 22:42:31 EST
done in 1.3.26-1.

Note You need to log in before you can comment on or make changes to this bug.